/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/ALOPTION.CPP   1.2.1.5   17 Apr 1997 15:41:22   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/ALOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:22   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:15:04   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:27:06   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:09:08   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:14:06   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:25:26   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:44:24   ZJRD
** Initial revision.
** 
**    Rev 1.5.1.0.1.2   09 Dec 1996 10:14:30   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.5.1.0.1.0   11 Nov 1996 12:57:44   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.5.1.4   09 Sep 1996 13:14:14   ZJRD
** No change.
** 
**    Rev 1.5.1.3   05 Sep 1996 11:25:46   ZJRD
** No change.
** 
**    Rev 1.5.1.2   02 Sep 1996 09:52:52   ZJRD
** No change.
** 
**    Rev 1.5.1.1   28 Aug 1996 15:45:40   ZJRD
** No change.
** 
**    Rev 1.5.1.0   12 Aug 1996 10:50:40   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.2   29 May 1996 09:34:00   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aloption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "al.h"
#include "aloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ALOption dialog


ALOption::ALOption(ALTool * pTool)
    : CPropertyPage(ALOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(ALOption)
    
    //}}AFX_DATA_INIT
}

void ALOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(ALOption)
    DDX_Check(pDX, IDC_ALOPT_CASE, m_fCase);
    DDX_Check(pDX, IDC_ALOPT_LINEDEBUG, m_fLineDebug);
    DDX_Check(pDX, IDC_ALOPT_SYMBOLDEBUG, m_fSymbolDebug);
    DDX_Text(pDX, IDC_ALOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_ALOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void ALOption::SaveData(void)
{
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_pTool->m_fCase        = m_fCase;
    m_pTool->m_fLineDebug   = m_fLineDebug;
    m_pTool->m_fSymbolDebug = m_fSymbolDebug;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void ALOption::LoadData(void)
{
    m_fCase        = m_pTool->m_fCase;
    m_fLineDebug   = m_pTool->m_fLineDebug;
    m_fSymbolDebug = m_pTool->m_fSymbolDebug;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
 
}

BEGIN_MESSAGE_MAP(ALOption, CPropertyPage)
    //{{AFX_MSG_MAP(ALOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// ALOption message handlers
